#!/usr/bin/env bash

pkg_path=""
LGRAAL="./"$pky_path"/L-GRAAL.exe"
degree_signature=$pkg_path"/ncount4.exe"

Input=""
Output="$Input/L-GRAAL_output"

graphs=(worm_Y2H1 worm_PHY1 yeast_Y2H1 yeast_PHY2 human_PHY2
	fly_Y2H1 fly_PHY1 human_Y2H1 yeast_PHY1 human_PHY1)


ext=".gw"


alpha=(.15,.5,.85)



rank_one_init() {
    graph_A=$1
    graph_B=$2

    #must be smat files
    n=$(head -1 $graph_A | cut -f 1)
    m=$(head -1 $graph_B | cut -f 1)

    for ((i=0; i < $n ; i++))
    do
	for((j=0; j < $m; j++))
	do
	    printf "%d %d\t1.0\n" $i $j
	done
    done
}


#get the degree signatures
#for ((i=1; i < 8 ; i++))
#do
#    mkdir -p $Input/${graphs[$i]}_GDV
#    ${degree_signature} $Input/${graphs[$i]}$ext $Input/${graphs[$i]}_GDV/${graphs[$i]}
#     $Input/${graphs[$i]}
#done



for i in {0..9}
do
    for ((j=$i+1; j < 10; j++))
    do
	graph_logs=A:${graphs[$i]}${ext}_B:${graphs[$j]}$ext
	mkdir -p $Input/LGRAAL_extended_runtime_log/$graph_logs    
	mkdir -p $Input/LGRAAL_extended_runtime_output/$graph_logs    
    
	# rank_one_init $Input/${graphs[$i]}.smat $Input/${graphs[$j]}.smat > rank_one_init.txt
	# echo "finished rank one init file"
    
	for a in ${alpha[@]}
	do
	    echo $a
            log_name=A:${graphs[$i]}_B:${graphs[$j]}_alpha:${a}.log
            final_matching=A:${graphs[$i]}_B:${graphs[$j]}_alpha:${a}.matching

            log_file=$Input/LGRAAL_extended_runtime_log/$graph_logs/$log_name
#	    touch $log_file
	    matching_file=$Input/LGRAAL_extended_runtime_output/$graph_logs/$final_matching

	    echo $log_name
	    #	echo $Input/${graphs[$i]}$ext

            ./L-GRAAL.exe -Q $Input/${graphs[$i]}$ext -T $Input/${graphs[$j]}$ext -q $Input/"${graphs[$i]}_GDV/${graphs[$i]}.ndump2" -t $Input/"${graphs[$j]}_GDV/${graphs[$j]}.ndump2" -B rank_one_init.txt -a $a -o $matching_file -L 10000 | gawk '{ print strftime("[%Y-%m-%d %H:%M:%S]"), $0; fflush(); }' > $log_file & 

	done
    done
done
