#!/usr/bin/env bash
Input=""
Output="$Input/TAME_output"
echo $Output
graphs=(fly_PHY1.smat  human_PHY1.smat  human_Y2H1.smat  worm_Y2H1.smat   yeast_PHY2.smat
	fly_Y2H1.smat  human_PHY2.smat  worm_PHY1.smat   yeast_PHY1.smat  yeast_Y2H1.smat)
alpha=(.5 1.0)
beta=(0.0 1.0 10.0 100.0)

for i in {0..9}
do
    for ((j=$i+1; j < 10; j++))
    do
	graph_logs=A:${graphs[$i]}_B:${graphs[$j]}
	mkdir $Output/$graph_logs
	for a in ${alpha[@]}
	do
	    for b in ${beta[@]}
            do
		log_dir=A:${graphs[$i]}_B:${graphs[$j]}_alpha:${a}_beta:$b
		mkdir -p $Output/$graph_logs/$log_dir
		mkdir -p $Output/TAME_log/$graph_logs
		log_file=$Input/TAME_log/$graph_logs/A:${graphs[$i]}_B:${graphs[$j]}_alpha:${a}_beta:$b.log
		touch $log_file
                ./tri-match -t smat -H $Input/${graphs[$i]} -G $Input/${graphs[$j]} -Y 2 -o $Output/$graph_logs/$log_dir -a $a -b $b --iter 15  | gawk '{ print strftime("[%Y-%m-%d %H:%M:%S]"), $0; fflush(); }' > $log_file&
	    done
	done
    done
done
